/*****************************************************************************
 *
 * LOGS.H - Header file for comment functions
 *
 * Copyright (c) 1999-2001 Ethan Galstad (nagios@nagios.org)
 * Last Modified:   05-05-2001
 *
 * License:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *****************************************************************************/


#ifndef _LOGS_H
#define _LOGS_H

#include "config.h"
#include "common.h"
#include "objects.h"

#ifdef NSCORE
int initialize_log_data(char *);                                /* initializes log data */
int cleanup_log_data(char *);                                   /* cleans up log data */

int save_log(int, char *, char *, char *, char *, char *, char *);	/* saves a host or service log */

int save_host_log(char *, char *, char *, char *, char *);	/* saves a host log */
int save_service_log(char *, char *, char *, char *, char *, char *);   /* saves a service log */








int delete_log(int,int);                                        /* deletes a host or service log */
int delete_host_log(int);                                       /* deletes a host log */
int delete_service_log(int);                                    /* deletes a service log */
int delete_all_logs(int,char *,char *);                         /* deletes all logs for a particular host or service */
int delete_all_host_logs(char *);                               /* deletes all logs for a specific host */
int delete_all_service_logs(char *,char *);                     /* deletes all logs for a specific service */

#endif


/* #ifdef NSCGI */

/* /\* LOG structure *\/ */
/* typedef struct log_struct{ */
/* 	int 	log_type; */
/* 	int 	log_id; */
/* 	int     persistent; */
/* 	time_t 	entry_time; */
/* 	char 	*host_name; */
/* 	char 	*service_description; */
/* 	char 	*author; */
/* 	char 	*log_data; */
/* 	struct 	log_struct *next; */
/*         }log; */

/* int read_log_data(char *);                                        /\* reads all host and service logs *\/ */
/* int add_log(int,char *,char *,time_t,char *,char *,int,int);      /\* adds a log (host or service) *\/ */
/* int add_host_log(char *,time_t,char *,char *,int,int);            /\* adds a host log *\/ */
/* int add_service_log(char *,char *,time_t,char *,char *,int,int);  /\* adds a service log *\/ */
/* void free_log_data(void);                                         /\* frees memory allocated to the log list *\/ */
/* int number_of_host_logs(char *);			              /\* returns the number of logs associated with a particular host *\/ */
/* int number_of_service_logs(char *, char *);		              /\* returns the number of logs associated with a particular service *\/ */
/* log *find_log(int,int);                                       /\* finds a specific log *\/ */
/* log *find_service_log(int);                                   /\* finds a specific service log *\/ */
/* log *find_host_log(int);                                      /\* finds a specific host log *\/ */

/* #endif */

#endif







