/*****************************************************************************
 *
 * XLDDB.H - Include file for database routines for log data
 *
 * Last Modified:  07-04-2004 by Christophe Paris (IDEALX)
 *
 * License:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *****************************************************************************/

#define XLDDB_HOSTLOGS_TABLE	"hostlogs"
#define XLDDB_SERVICELOGS_TABLE	"servicelogs"

#define XLDDB_BUFFER_LENGTH		1024
#define XLDDB_SQL_LENGTH		2048	   /* buffer length for SQL queries */


#ifdef NSCORE
int xlddb_initialize_log_data(char *);
int xlddb_cleanup_log_data(char *);
int xlddb_validate_log_data(void);
int xlddb_validate_host_logs(void);
int xlddb_validate_service_logs(void);
int xlddb_optimize_tables(void);
int xlddb_save_host_log(time_t, char *, char *, char *, char *, char *, int *);
int xlddb_save_service_log(time_t, char *,char *,char *,char *,char *,char *, int *);
int xlddb_delete_host_log(int,int);
int xlddb_delete_service_log(int,int);
int xlddb_delete_all_host_logs(char *);
int xlddb_delete_all_service_logs(char *,char *);
int xlddb_escape_string(char *,char *);
#endif

/* #ifdef NSCGI */
/* int xlddb_read_log_data(char *); */
/* int xlddb_read_host_logs(void); */
/* int xlddb_read_service_logs(void); */
/* #endif */

int xlddb_grab_config_info(char *);
void xlddb_grab_config_directives(char *);
int xlddb_initialize(void);
int xlddb_connect(void);
int xlddb_disconnect(void);
int xlddb_query(char *);
int xlddb_free_query_memory(void);
